_, class = UnitClass("player")
if class == "MAGE" then

function MageCandy_CreateUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 12}

CreateFrame("Frame", "MCReloadUI", UIParent)
MCReloadUI:SetHeight(80)
MCReloadUI:SetWidth(230)
MCReloadUI:SetPoint("CENTER")
MCReloadUI:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCReloadUIText:SetPoint("TOP", MCReloadUI, "TOP", 0, -10)
MCReloadUIText:SetText(MageCandyLocal["RELOADUI"])
MCReloadUI:CreateTexture("$parentBG")
MCReloadUIBG:SetTexture(0, 0, 0, 0.8)
MCReloadUIBG:SetPoint("CENTER")
MCReloadUIBG:SetWidth(MCReloadUI:GetWidth() - 5)
MCReloadUIBG:SetHeight(MCReloadUI:GetHeight() - 5)
MCReloadUI:SetBackdrop(backdrop)
CreateFrame("Button", "$parentOkay", MCReloadUI, "UIPanelButtonTemplate")
MCReloadUIOkay:ClearAllPoints()
MCReloadUIOkay:SetWidth(60)
MCReloadUIOkay:SetHeight(30)
MCReloadUIOkay:SetPoint("BOTTOM", MCReloadUI, "BOTTOM", -37, 5)
MCReloadUIOkay:SetText(MageCandyLocal["OKAY"])
MCReloadUIOkay:SetScript("OnClick", function()
ReloadUI()
MCReloadUI:Hide()
end)
CreateFrame("Button", "$parentCancel", MCReloadUI, "UIPanelButtonTemplate")
MCReloadUICancel:ClearAllPoints()
MCReloadUICancel:SetWidth(60)
MCReloadUICancel:SetHeight(30)
MCReloadUICancel:SetPoint("BOTTOM", MCReloadUI, "BOTTOM", 37, 5)
MCReloadUICancel:SetText(MageCandyLocal["CANCEL"])
MCReloadUICancel:SetScript("OnClick", function()
MCReloadUI:Hide()
end)
MCReloadUI:SetFrameStrata("HIGH")
MCReloadUI:SetFrameLevel(3)
MCReloadUI:Hide()

-- Spellsteal Monitor -------------------------------------------------------------------

CreateFrame("Frame", "MCSpellStealNotification", UIParent)
MCSpellStealNotification:SetWidth(32)
MCSpellStealNotification:SetHeight(32)
MCSpellStealNotification:SetPoint("CENTER", UIParent, "CENTER")
MCSpellStealNotification:CreateTexture("MCSpellStealIcon")
MCSpellStealIcon:SetAllPoints()
MCSpellStealIcon:SetTexture(GetSpellTexture(12042))
MCSpellStealNotification:Hide()

CreateFrame("Frame", "MCTargetSpellStealFrame", UIParent)
MCTargetSpellStealFrame:SetPoint("CENTER", UIParent, "CENTER", -250, 0)
MCTargetSpellStealFrame:SetHeight(56)
MCTargetSpellStealFrame:SetWidth(152)
CreateFrame("Frame", "MCTargetSpellStealFrameBackground", MCTargetSpellStealFrame)
MCTargetSpellStealFrameBackground:SetAllPoints()
MCTargetSpellStealFrameBackground:SetPoint("CENTER")
MCTargetSpellStealFrameBackground:CreateTexture("MCTargetSpellStealFrameBG", "BACKGROUND")
MCTargetSpellStealFrameBackground:SetFrameLevel(1)
MCTargetSpellStealFrameBG:SetWidth(MCTargetSpellStealFrame:GetWidth() - 5)
MCTargetSpellStealFrameBG:SetHeight(MCTargetSpellStealFrame:GetHeight() - 5)
MCTargetSpellStealFrameBG:SetPoint("CENTER")
MCTargetSpellStealFrameBG:SetTexture(0,0,0,.5)
MCTargetSpellStealFrameBackground:SetBackdrop(backdrop)
MCTargetSpellStealFrame:Hide()
MCTargetSpellStealFrame:CreateFontString("MCTargetSpellStealFrameHeader", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameHeader:SetText(MageCandyLocal["SPELLSTEAL_TARGET"])
MCTargetSpellStealFrameHeader:SetPoint("BOTTOM", MCTargetSpellStealFrame, "TOP", 0, 1)
MCTargetSpellStealFrameHeader:SetTextColor(0,1,1)


CreateFrame("Frame", "MCFocusSpellStealFrame", UIParent)
MCFocusSpellStealFrame:SetPoint("CENTER", UIParent, "CENTER", 250, 0)
MCFocusSpellStealFrame:SetHeight(56)
MCFocusSpellStealFrame:SetWidth(152)
CreateFrame("Frame", "MCFocusSpellStealFrameBackground", MCFocusSpellStealFrame)
MCFocusSpellStealFrameBackground:SetAllPoints()
MCFocusSpellStealFrameBackground:SetPoint("CENTER")
MCFocusSpellStealFrameBackground:CreateTexture("MCFocusSpellStealFrameBG", "BACKGROUND")
MCFocusSpellStealFrameBackground:SetFrameLevel(1)
MCFocusSpellStealFrameBG:SetWidth(MCFocusSpellStealFrame:GetWidth() - 5)
MCFocusSpellStealFrameBG:SetHeight(MCFocusSpellStealFrame:GetHeight() - 5)
MCFocusSpellStealFrameBG:SetPoint("CENTER")
MCFocusSpellStealFrameBG:SetTexture(0,0,0,.5)
MCFocusSpellStealFrame:Hide()
MCFocusSpellStealFrameBackground:SetBackdrop(backdrop)
MCFocusSpellStealFrame:CreateFontString("MCFocusSpellStealFrameHeader", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameHeader:SetText(MageCandyLocal["SPELLSTEAL_FOCUS"])
MCFocusSpellStealFrameHeader:SetPoint("BOTTOM", MCFocusSpellStealFrame, "TOP", 0, 1)
MCFocusSpellStealFrameHeader:SetTextColor(0,1,1)


CreateFrame("Frame", "MCStolenSpellsFrame", UIParent)
MCStolenSpellsFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -150)
MCStolenSpellsFrame:SetHeight(56)
MCStolenSpellsFrame:SetWidth(152)
CreateFrame("Frame", "MCStolenSpellsFrameBackground", MCStolenSpellsFrame)
MCStolenSpellsFrameBackground:SetAllPoints()
MCStolenSpellsFrameBackground:SetPoint("CENTER")
MCStolenSpellsFrameBackground:CreateTexture("MCStolenSpellsFrameBG", "BACKGROUND")
MCStolenSpellsFrameBackground:SetFrameLevel(1)
MCStolenSpellsFrameBG:SetWidth(MCStolenSpellsFrame:GetWidth() - 5)
MCStolenSpellsFrameBG:SetHeight(MCStolenSpellsFrame:GetHeight() - 5)
MCStolenSpellsFrameBG:SetPoint("CENTER")
MCStolenSpellsFrameBG:SetTexture(0,0,0,.5)
MCStolenSpellsFrame:Hide()
MCStolenSpellsFrameBackground:SetBackdrop(backdrop)
MCStolenSpellsFrame:CreateFontString("MCStolenSpellsFrameHeader", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameHeader:SetText(MageCandyLocal["STOLEN_SPELLS"])
MCStolenSpellsFrameHeader:SetPoint("BOTTOM", MCStolenSpellsFrame, "TOP", 0, 1)
MCStolenSpellsFrameHeader:SetTextColor(0,1,1)
--------------------------------------------------------------

--Create Polymorph Monitor------------------------------------
CreateFrame("Frame", "MCPolymorphMonitor", UIParent)
MCPolymorphMonitor:SetPoint("CENTER", UIParent, "CENTER", 0, -80)
MCPolymorphMonitor:SetWidth(125)
MCPolymorphMonitor:SetHeight(32)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorIcon")
MCPolymorphMonitorIcon:SetWidth(28)
MCPolymorphMonitorIcon:SetHeight(28)
MCPolymorphMonitorIcon:SetPoint("LEFT", MCPolymorphMonitor, "LEFT", 1, 0)
MCPolymorphMonitorIcon:SetTexture(GetSpellTexture(118))
MCPolymorphMonitor:CreateFontString("MCPolymorphMonitorText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorText:SetWidth(MCPolymorphMonitor:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 5)
MCPolymorphMonitorText:SetHeight(7)
MCPolymorphMonitorText:SetJustifyH("LEFT")
MCPolymorphMonitorText:SetPoint("TOPLEFT", MCPolymorphMonitorIcon, "TOPRIGHT", 3, -3)
MCPolymorphMonitorText:SetTextHeight(9)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorBG", "BACKGROUND")
MCPolymorphMonitorBG:SetAllPoints()
MCPolymorphMonitorBG:SetTexture(0, 0, 0, 0.8)
CreateFrame("StatusBar", "MCPolymorphMonitorBar", MCPolymorphMonitor)
MCPolymorphMonitorBar:SetWidth(MCPolymorphMonitorBG:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 1)
MCPolymorphMonitorBar:SetHeight(10)
MCPolymorphMonitorBar:SetPoint("BOTTOMLEFT", MCPolymorphMonitorIcon, "BOTTOMRIGHT", 0, 1)
MCPolymorphMonitorBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCPolymorphMonitorBar:SetStatusBarColor(0, 0.7, 1)
MCPolymorphMonitorBar:CreateFontString("MCPolymorphMonitorBarText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorBarText:SetPoint("CENTER", MCPolymorphMonitorBar, "CENTER")
MCPolymorphMonitorBarText:SetTextColor(1, 1, 1)
MCPolymorphMonitorBarText:SetTextHeight(11)
MCPolymorphMonitor:Hide()

----------------------------------------------------------------------------------------------------

-- Timers ------------------------------------------------------------------------------------------

MageCandy_CreateTimer("MCPyroblastTimer", "CENTER", UIParent, "CENTER", -200, 135)
MCPyroblastTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerText:SetText(MageCandyLocal["PYROBLAST"])

MageCandy_CreateTimer("MCArcaneMissilesTimer", "CENTER", UIParent, "CENTER", -200, 100)
MCArcaneMissilesTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerText:SetText(MageCandyLocal["ARCANE_MISSILES"])
MCArcaneMissilesTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneMissilesTimerCount:SetTextColor(1, 1, 1)
MCArcaneMissilesTimerCount:SetTextHeight(16)
MCArcaneMissilesTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCFingersOfFrostTimer", "CENTER", UIParent, "CENTER", -200, 65)
MCFingersOfFrostTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerText:SetText(MageCandyLocal["FINGERS_OF_FROST"])
MCFingersOfFrostTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCFingersOfFrostTimerCount:SetTextColor(1, 1, 1)
MCFingersOfFrostTimerCount:SetTextHeight(16)
MCFingersOfFrostTimerCount:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCBrainFreezeTimer", "CENTER", UIParent, "CENTER", -200, 30)
MCBrainFreezeTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerText:SetText(MageCandyLocal["BRAIN_FREEZE"])

MageCandy_CreateTimer("MCIcyVeinsTimer", "CENTER", UIParent, "CENTER", -200, -5)
MCIcyVeinsTimerIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerText:SetText(MageCandyLocal["ICY_VEINS"])

MageCandy_CreateTimer("MCArcanePowerTimer", "CENTER", UIParent, "CENTER", -200, -40)
MCArcanePowerTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerText:SetText(MageCandyLocal["ARCANE_POWER"])

MageCandy_CreateTimer("MCIncantersAbsorptionTimer", "CENTER", UIParent, "CENTER", -200, -75)
MCIncantersAbsorptionTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_IncantersAbsorbtion")
MCIncantersAbsorptionTimerText:SetText(MageCandyLocal["INCANTERS_ABSORPTION"])

MageCandy_CreateTimer("MCInvokersEnergyTimer", "CENTER", UIParent, "CENTER", -200, -110)
MCInvokersEnergyTimerIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane03")
MCInvokersEnergyTimerText:SetText(MageCandyLocal["INVOKERS_ENERGY"])



MageCandy_CreateSmallTimer("MCFrozenOrbTimer", "CENTER", UIParent, "CENTER", -200, -145)
MCFrozenOrbTimerIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")

MageCandy_CreateSmallTimer("MCMirrorImageTimer", "CENTER", UIParent, "CENTER", -200, -180)
MCMirrorImageTimerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")

MageCandy_CreateSmallTimer("MCRingOfFrostTimer", "CENTER", UIParent, "CENTER", -200, -215)
MCRingOfFrostTimerIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")

MageCandy_CreateTimer("MCArcaneChargeTimer", "CENTER", UIParent, "CENTER", -200, -255)
MCArcaneChargeTimerIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerText:SetText(MageCandyLocal["ARCANE_CHARGE"])
MCArcaneChargeTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneChargeTimerCount:SetTextColor(1, 1, 1)
MCArcaneChargeTimerCount:SetTextHeight(16)
MCArcaneChargeTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerIcon, "BOTTOMRIGHT")

----------------------------------------------------------------------------------------------------

--Notifications-------------------------------------------------------------------------------------

CreateFrame("Frame", "MCLazyMage", UIParent)
MCLazyMage:SetWidth(150)
MCLazyMage:SetHeight(4 * 34 + 28 - 17)
MCLazyMage:SetPoint("CENTER", UIParent, "CENTER", 0, 200)
CreateFrame("Frame", "MCLazyMageHeaderFrame", MCLazyMage)
MCLazyMageHeaderFrame:SetWidth(MCLazyMage:GetWidth())
MCLazyMageHeaderFrame:SetHeight(25)
MCLazyMageHeaderFrame:SetPoint("BOTTOM", MCLazyMage, "TOP", 0, -3)
MCLazyMageHeaderFrame:CreateTexture("$parentBG")
MCLazyMageHeaderFrameBG:SetTexture(0, 0, 0, 0.6)
MCLazyMageHeaderFrameBG:SetWidth(MCLazyMageHeaderFrame:GetWidth() - 5)
MCLazyMageHeaderFrameBG:SetHeight(MCLazyMageHeaderFrame:GetHeight() - 5)
MCLazyMageHeaderFrameBG:SetPoint("CENTER")
MCLazyMageHeaderFrame:SetBackdrop(backdropthick)
MCLazyMageHeaderFrame:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCLazyMageHeaderFrameHeader:SetText(MageCandyLocal["LAZY_MAGE"])
MCLazyMageHeaderFrameHeader:SetTextColor(0, 0.7, 1)
MCLazyMageHeaderFrameHeader:SetPoint("CENTER")
MCLazyMage:CreateTexture("$parentBG", "BACKGROUND")
MCLazyMageBG:SetWidth(MCLazyMage:GetWidth() - 5)
MCLazyMageBG:SetHeight(MCLazyMage:GetHeight() - 5)
MCLazyMageBG:SetPoint("CENTER")
MCLazyMageBG:SetTexture(0, 0, 0, 0.6)
MCLazyMage:SetBackdrop(backdropthick)
for idx = 1, 4 do
local icon = MCLazyMage:CreateTexture("$parentIcon"..idx)
icon:SetWidth(32)
icon:SetHeight(32)
icon:SetPoint("TOPLEFT", MCLazyMage, "TOPLEFT", 6, -1 * (idx * 34 - 28))
local text = MCLazyMage:CreateFontString("$parentIconText"..idx, "OVERLAY", "GameFontNormal")
text:SetTextColor(0, 0.7, 1)
text:SetWidth(MCLazyMage:GetWidth() - 44)
text:SetJustifyH("LEFT")
text:SetPoint("LEFT", icon, "RIGHT", 2, -6)
end

CreateFrame("Frame", "MCCauterizeNotification", UIParent)
MCCauterizeNotification:SetWidth(150)
MCCauterizeNotification:SetHeight(32)
MCCauterizeNotification:SetPoint("CENTER", UIParent, "CENTER", 0, 100)
MCCauterizeNotification:CreateTexture("$parentBG", "BACKGROUND")
MCCauterizeNotificationBG:SetAllPoints()
MCCauterizeNotificationBG:SetTexture(0, 0, 0, 0.6)
MCCauterizeNotification:CreateTexture("$parentIcon")
MCCauterizeNotificationIcon:SetWidth(32)
MCCauterizeNotificationIcon:SetHeight(32)
MCCauterizeNotificationIcon:SetPoint("LEFT", MCCauterizeNotification, "LEFT")
MCCauterizeNotificationIcon:SetTexture("Interface\\Icons\\spell_fire_rune")
MCCauterizeNotification:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCCauterizeNotificationText:SetTextColor(1, 0, 0)
MCCauterizeNotificationText:SetTextHeight(18)
MCCauterizeNotificationText:SetWidth(MCCauterizeNotification:GetWidth() - 32)
MCCauterizeNotificationText:SetPoint("LEFT", MCCauterizeNotificationIcon, "RIGHT", 10, 0)
MCCauterizeNotificationText:SetJustifyH("LEFT")
MCCauterizeNotificationText:SetText(MageCandyLocal["CAUTERIZE_TEXT"])
MCCauterizeNotification:Hide()
----------------------------------------------------------------------------------------------------

-- Create Mana Bar
CreateFrame("StatusBar", "MCManaBar", UIParent)
MCManaBar:SetWidth(200)
MCManaBar:SetHeight(24)
MCManaBar:SetPoint("CENTER", UIParent, "CENTER")
MCManaBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCManaBar:SetStatusBarColor(0, 0, 1)
MCManaBar:CreateTexture("$parentBackground", "BACKGROUND")
MCManaBarBackground:SetWidth(MCManaBar:GetWidth())
MCManaBarBackground:SetHeight(MCManaBar:GetHeight())
MCManaBarBackground:SetPoint("CENTER")
MCManaBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCManaBarBackground:SetVertexColor(0, 0.3, 1, 0.4)
CreateFrame("Frame", "$parentBG", MCManaBar)
MCManaBarBG:SetWidth(MCManaBar:GetWidth() + 5)
MCManaBarBG:SetHeight(MCManaBar:GetHeight() + 5)
MCManaBarBG:SetPoint("CENTER", MCManaBar, "CENTER")
MCManaBarBG:SetBackdrop(backdrop)
MCManaBar:CreateFontString("MCManaBarText", "OVERLAY", "GameFontNormal")
MCManaBarText:SetPoint("CENTER", MCManaBar, "CENTER")
MCManaBarText:SetTextColor(1, 1, 1)
MCManaBarText:SetTextHeight(12)
MCManaBar:CreateTexture("$parentReserve")
MCManaBarReserve:SetWidth(1)
MCManaBarReserve:SetHeight(MCManaBar:GetHeight())
MCManaBarReserve:SetTexture(0.85, 0.65, 0.13)
MCManaBarReserve:SetDrawLayer("ARTWORK", 4)
CreateFrame("Frame", "$parentExtras", MCManaBar)
MCManaBarExtras:SetWidth(MCManaBar:GetWidth() + 5)
MCManaBarExtras:SetHeight(29)
MCManaBarExtras:SetPoint("TOP", MCManaBar, "BOTTOM", 0, 2)
MCManaBarExtras:CreateTexture("$parentBackground", "Background")
MCManaBarExtrasBackground:SetTexture(0, 0, 0, 0.6)
MCManaBarExtrasBackground:SetWidth(MCManaBarExtras:GetWidth() - 5)
MCManaBarExtrasBackground:SetHeight(MCManaBarExtras:GetHeight() - 5)
MCManaBarExtrasBackground:SetPoint("CENTER")
MCManaBarExtras:SetBackdrop(backdrop)
MCManaBar:SetFrameLevel(7)
for idx = 1, 8 do 
local frame = CreateFrame("Button", "$parentSpell"..idx, MCManaBarExtras, "TargetBuffFrameTemplate")
frame:SetWidth(20)
frame:SetHeight(20)
if idx == 1 then
frame:SetPoint("LEFT", MCManaBarExtras, "LEFT", 8, 0)
else
frame:SetPoint("LEFT", _G["MCManaBarExtrasSpell"..idx - 1], "RIGHT", 4, 0)
end
_G["MCManaBarExtrasSpell"..idx.."Icon"]:SetAllPoints()
_G["MCManaBarExtrasSpell"..idx.."Icon"]:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane02")
frame:SetScript("OnEnter", nil)
frame:Hide()
end


for idx = 1, 3 do
local marker = MCManaBar:CreateTexture("$parentMarker"..idx)
marker:SetWidth(1)
marker:SetHeight(MCManaBar:GetHeight())
marker:SetTexture(0.85, 0.65, 0.13)
marker:SetDrawLayer("ARTWORK", 4)
end
--Create Health Bar
CreateFrame("StatusBar", "MCHealthBar", MCManaBar)
MCHealthBar:SetWidth(200)
MCHealthBar:SetHeight(12)
MCHealthBar:SetPoint("BOTTOM", MCManaBar, "TOP", 0, 1)
MCHealthBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCHealthBar:SetStatusBarColor(0, 1, 0)
MCHealthBar:CreateTexture("$parentBackground", "BACKGROUND")
MCHealthBarBackground:SetWidth(MCHealthBar:GetWidth())
MCHealthBarBackground:SetHeight(MCHealthBar:GetHeight())
MCHealthBarBackground:SetPoint("CENTER")
MCHealthBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCHealthBarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "$parentBG", MCHealthBar)
MCHealthBarBG:SetWidth(MCHealthBar:GetWidth() + 5)
MCHealthBarBG:SetHeight(MCHealthBar:GetHeight() + 5)
MCHealthBarBG:SetPoint("CENTER", MCHealthBar, "CENTER")
MCHealthBarBG:SetBackdrop(backdrop)
MCHealthBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCHealthBarText:SetPoint("CENTER", MCHealthBar, "CENTER")
MCHealthBarText:SetTextColor(1, 1, 1)
MCHealthBarText:SetTextHeight(12)

--Mirror Image Tracker--
CreateFrame("Frame", "MCMirrorImageTracker", UIParent)
MCMirrorImageTracker:SetPoint("CENTER", -200, 200)
MCMirrorImageTracker:SetWidth(30)
MCMirrorImageTracker:SetHeight(30)
MCMirrorImageTracker:CreateTexture("$parentBG")
MCMirrorImageTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCMirrorImageTrackerIcon:SetAllPoints()
MCMirrorImageTrackerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
CreateFrame("StatusBar", "MCMirror1Bar", MCMirrorImageTracker)
MCMirror1Bar:SetWidth(85)
MCMirror1Bar:SetHeight(12)
MCMirror1Bar:SetPoint("TOP", MCMirrorImageTrackerIcon, "BOTTOM", 0,  -3)
MCMirror1Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror1Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror1Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
CreateFrame("Frame", "MCMirror1", MCMirror1Bar)
MCMirror1:SetWidth(90)
MCMirror1:SetHeight(17)
MCMirror1:SetPoint("CENTER")
MCMirror1:SetBackdrop(backdrop)
MCMirror1BarText = MCMirror1Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror1BarText:SetPoint("CENTER", MCMirror1Bar, "CENTER", 0, 0)
MCMirror1BarText:SetTextColor(1, 1, 1)
MCMirror1BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror2Bar", MCMirrorImageTracker)
MCMirror2Bar:SetWidth(85)
MCMirror2Bar:SetHeight(12)
MCMirror2Bar:SetPoint("TOP", MCMirror1Bar, "BOTTOM", 0,  -3)
MCMirror2Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror2Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror2Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
CreateFrame("Frame", "MCMirror2", MCMirror2Bar)
MCMirror2:SetWidth(90)
MCMirror2:SetHeight(17)
MCMirror2:SetPoint("CENTER")
MCMirror2:SetBackdrop(backdrop)
MCMirror2BarText = MCMirror2Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror2BarText:SetPoint("CENTER", MCMirror2Bar, "CENTER", 0, 0)
MCMirror2BarText:SetTextColor(1, 1, 1)
MCMirror2BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror3Bar", MCMirrorImageTracker)
MCMirror3Bar:SetWidth(85)
MCMirror3Bar:SetHeight(12)
MCMirror3Bar:SetPoint("TOP", MCMirror2Bar, "BOTTOM", 0, -3)
MCMirror3Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror3Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
CreateFrame("Frame", "MCMirror3", MCMirror3Bar)
MCMirror3:SetWidth(90)
MCMirror3:SetHeight(17)
MCMirror3:SetPoint("CENTER")
MCMirror3:SetBackdrop(backdrop)
MCMirror3BarText = MCMirror3Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror3BarText:SetPoint("CENTER", MCMirror3Bar, "CENTER", 0, 0)
MCMirror3BarText:SetTextColor(1, 1, 1)
MCMirror3BarText:SetTextHeight(11)
MCMirror1Bar:SetStatusBarColor(0, 1, 0)
MCMirror2Bar:SetStatusBarColor(0, 1, 0)
MCMirror3Bar:SetStatusBarColor(0, 1, 0)
MCMirrorImageTracker:Hide()


--Mirror Image Tracker--
CreateFrame("Frame", "MCBombTracker", UIParent)
MCBombTracker:SetPoint("CENTER", -400, 200)
MCBombTracker:SetWidth(35)
MCBombTracker:SetHeight(35)
MCBombTracker:CreateTexture("$parentBG")
MCBombTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCBombTrackerIcon:SetAllPoints()
MCBombTrackerIcon:SetTexture("Interface\\Icons\\Ability_Mage_LivingBomb")
CreateFrame("StatusBar", "MCBombBar1", MCBombTracker)
MCBombBar1:SetWidth(120)
MCBombBar1:SetHeight(13)
MCBombBar1:SetPoint("TOP", MCBombTrackerIcon, "BOTTOM", 0, 0)
MCBombBar1:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCBombBar1:SetStatusBarColor(0, 0.7, 1)
MCBombBar1:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(string.sub(self:GetValue(), 1, 4))
end)
MCBombBar1Name = MCBombBar1:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
MCBombBar1Name:SetPoint("LEFT", MCBombBar1, "LEFT", 1, 0)
MCBombBar1Name:SetTextColor(1, 1, 1)
MCBombBar1Name:SetTextHeight(13)
MCBombBar1Name:SetJustifyH("LEFT")
MCBombBar1Name:SetWidth(85)
MCBombBar1Name:SetHeight(11)
MCBombBar1:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCBombBar1Text:SetPoint("RIGHT", MCBombBar1, "RIGHT", -1, 0)
MCBombBar1Text:SetTextColor(1, 1, 1)
MCBombBar1Text:SetTextHeight(13)
MCBombBar1Text:SetJustifyH("RIGHT")
CreateFrame("StatusBar", "MCBombBar2", MCBombTracker)
MCBombBar2:SetWidth(120)
MCBombBar2:SetHeight(13)
MCBombBar2:SetPoint("TOP", MCBombBar1, "BOTTOM", 0, 0)
MCBombBar2:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCBombBar2:SetStatusBarColor(0, 0.7, 1)
MCBombBar2:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(string.sub(self:GetValue(), 1, 4))
end)
MCBombBar2Name = MCBombBar2:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
MCBombBar2Name:SetPoint("LEFT", MCBombBar2, "LEFT", 1, 0)
MCBombBar2Name:SetTextColor(1, 1, 1)
MCBombBar2Name:SetTextHeight(13)
MCBombBar2Name:SetJustifyH("LEFT")
MCBombBar2Name:SetWidth(85)
MCBombBar2Name:SetHeight(1)
MCBombBar2:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCBombBar2Text:SetPoint("RIGHT", MCBombBar2, "RIGHT", -1, 0)
MCBombBar2Text:SetTextColor(1, 1, 1)
MCBombBar2Text:SetTextHeight(13)
MCBombBar2Text:SetJustifyH("RIGHT")
CreateFrame("StatusBar", "MCBombBar3", MCBombTracker)
MCBombBar3:SetWidth(120)
MCBombBar3:SetHeight(13)
MCBombBar3:SetPoint("TOP", MCBombBar2, "BOTTOM", 0, 0)
MCBombBar3:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCBombBar3:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(string.sub(self:GetValue(), 1, 4))
end)
MCBombBar3Name = MCBombBar3:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
MCBombBar3Name:SetPoint("LEFT", MCBombBar3, "LEFT", 1, 0)
MCBombBar3Name:SetTextColor(1, 1, 1)
MCBombBar3Name:SetTextHeight(13)
MCBombBar3Name:SetJustifyH("LEFT")
MCBombBar3Name:SetWidth(85)
MCBombBar3Name:SetHeight(11)
MCBombBar3:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCBombBar3Text:SetPoint("RIGHT", MCBombBar3, "RIGHT", -1, 0)
MCBombBar3Text:SetTextColor(1, 1, 1)
MCBombBar3Text:SetTextHeight(13)
MCBombBar3Text:SetJustifyH("RIGHT")
MCBombBar1:SetStatusBarColor(0, 0.7, 1)
MCBombBar2:SetStatusBarColor(0, 0.7, 1)
MCBombBar3:SetStatusBarColor(0, 0.7, 1)


--Create Combustion Tracker

CreateFrame("Frame", "MCCombustionTracker", UIParent)
MCCombustionTracker:SetPoint("CENTER", -500, 0)
MCCombustionTracker:SetWidth(141)
MCCombustionTracker:SetHeight(37)
MCCombustionTracker:CreateTexture("$parentBG", "BACKGROUND")
MCCombustionTrackerBG:SetWidth(MCCombustionTracker:GetWidth() - 5)
MCCombustionTrackerBG:SetHeight(MCCombustionTracker:GetHeight() - 5)
MCCombustionTrackerBG:SetPoint("CENTER")
MCCombustionTrackerBG:SetTexture(0, 0, 0, 0.6)
MCCombustionTracker:SetBackdrop(backdrop)
MCCombustionTracker:CreateTexture("$parentIcon", "ARTWORK")
MCCombustionTrackerIcon:SetTexture("Interface\\Icons\\Spell_Fire_SealOfFire")
MCCombustionTrackerIcon:SetHeight(30)
MCCombustionTrackerIcon:SetWidth(30)
MCCombustionTrackerIcon:SetPoint("LEFT", MCCombustionTracker, "LEFT", 3, 0)
CreateFrame("Frame", "MCCombustionTrackerCD", MCCombustionTracker)
MCCombustionTrackerCD:SetWidth(30)
MCCombustionTrackerCD:SetHeight(30)
MCCombustionTrackerCD:SetPoint("CENTER", MCCombustionTrackerIcon, "CENTER")
CreateFrame("Cooldown", "MCCombustionTrackerCooldown", MCCombustionTrackerCD)
MCCombustionTrackerCooldown:SetAllPoints()
CreateFrame("StatusBar", "MCCombustionTrackerBar", MCCombustionTracker)
MCCombustionTrackerBar:SetWidth(104)
MCCombustionTrackerBar:SetHeight(18)
MCCombustionTrackerBar:SetPoint("LEFT", MCCombustionTrackerIcon, "RIGHT", 0, 0)
MCCombustionTrackerBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCCombustionTrackerBar:SetStatusBarColor(0, 1, 0)
MCCombustionTrackerBar:SetMinMaxValues(0, 6)
MCCombustionTrackerBar:SetScript("OnValueChanged", function(self)
if self:GetValue() > 4 then
self:SetStatusBarColor(0, 1, 0)
elseif self:GetValue() > 2 then
self:SetStatusBarColor(1, 1, 0)
else
self:SetStatusBarColor(1, 0, 0)
end
MCCombustionTrackerBarText:SetText(string.sub(self:GetValue(), 1, 4))
end)
MCCombustionTrackerBarAmount = MCCombustionTrackerBar:CreateFontString("$parentName", "OVERLAY", "GameFontNormal")
MCCombustionTrackerBarAmount:SetPoint("LEFT", MCCombustionTrackerBar, "LEFT", 1, 0)
MCCombustionTrackerBarAmount:SetTextColor(1, 1, 1)
MCCombustionTrackerBarAmount:SetTextHeight(12)
MCCombustionTrackerBarAmount:SetJustifyH("LEFT")
MCCombustionTrackerBarAmount:SetWidth(80)
MCCombustionTrackerBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCCombustionTrackerBarText:SetPoint("RIGHT", MCCombustionTrackerBar, "RIGHT", -1, 0)
MCCombustionTrackerBarText:SetTextColor(1, 1, 1)
MCCombustionTrackerBarText:SetTextHeight(12)
MCCombustionTrackerBarText:SetJustifyH("RIGHT")
MCCombustionTrackerBar:CreateTexture("$parentTick1")
MCCombustionTrackerBarTick1:SetTexture(1, 0.55, 0)
MCCombustionTrackerBarTick1:SetWidth(1)
MCCombustionTrackerBarTick1:SetHeight(MCCombustionTracker:GetHeight() - 6)
MCCombustionTrackerBarTick1:SetPoint("CENTER", MCCombustionTrackerBar, "LEFT", (MCCombustionTrackerBar:GetWidth() / 6) * 2, 0)
MCCombustionTrackerBarTick1:SetDrawLayer("ARTWORK", 4)
MCCombustionTrackerBar:CreateTexture("$parentTick2")
MCCombustionTrackerBarTick2:SetTexture(1, 0.55, 0)
MCCombustionTrackerBarTick2:SetWidth(1)
MCCombustionTrackerBarTick2:SetHeight(MCCombustionTracker:GetHeight() - 6)
MCCombustionTrackerBarTick2:SetPoint("CENTER", MCCombustionTrackerBar, "LEFT", (MCCombustionTrackerBar:GetWidth() / 6) * 4, 0)
MCCombustionTrackerBarTick2:SetDrawLayer("ARTWORK", 4)

MCCombustionTrackerBar:SetValue(0)
MCCombustionTrackerBarAmount:SetText(0)
MCCombustionTrackerBarText:SetText(0)

CreateFrame("Frame", "MCAlterTimeCountDown", UIParent)


-- Create Stat Monitor
MCStats = CreateFrame("Frame", "MCStats", UIParent)
MCStats:SetWidth(150)
MCStats:SetHeight(86)
MCStats:SetPoint("CENTER", UIParent, "CENTER", 350, 350)
MCStats:CreateTexture("$parentBG")
MCStatsBG:SetTexture(0, 0, 0, 0.8)
MCStatsBG:SetPoint("CENTER", MCStats, "CENTER")
MCStatsBG:SetWidth(MCStats:GetWidth() - 5)
MCStatsBG:SetHeight(MCStats:GetHeight() - 5)
MCStatsBG:SetDrawLayer("BACKGROUND")
MCStats:SetBackdrop(backdrop)
MCStatsHeader = MCStats:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCStatsHeader:SetPoint("TOPLEFT", MCStats, "TOPLEFT", 8, -8)
MCStatsHeader:SetJustifyH("LEFT")
MCStatsHeader:SetText("|cff00b3ff"..MageCandyLocal["STATHEADERS"].."|r")
MCStatsHeader:SetTextHeight(14)
MCStatsText = MCStats:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCStatsText:SetJustifyH("RIGHT")
MCStatsText:SetPoint("TOPRIGHT", MCStats, "TOPRIGHT", -8, -8)
MCStatsText:SetTextHeight(14)


CreateFrame("Frame", "MCTimer", UIParent)
MCTimer:SetScript("OnUpdate", MageCandy_MCTimerOnUpdate)
MCTimer:SetWidth(30)
MCTimer:SetHeight(30)
MCTimer:SetPoint("CENTER", UIParent, "CENTER")
MCTimer:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")



-- Finish Setting Up Frames --
MCSpellStealNotification:EnableMouse(false)
MageCandy_SetupFrame(MCTargetSpellStealFrame)
MageCandy_SetupFrame(MCFocusSpellStealFrame)
MageCandy_SetupFrame(MCStolenSpellsFrame)
MageCandy_SetupFrame(MCPolymorphMonitor)
MageCandy_SetupFrame(MCCauterizeNotification)
MageCandy_SetupFrame(MCLazyMage)
MageCandy_SetupFrame(MCManaBar)
MageCandy_SetupFrame(MCMirrorImageTracker)
MageCandy_SetupFrame(MCBombTracker)
MageCandy_SetupFrame(MCCombustionTracker)
MageCandy_SetupFrame(MCStats)

end


function MageCandy_CreateSmallTimer(name, point, rframe, rpoint, xoff, yoff, parent)
local pframe = UIParent
if parent then
pframe = parent
end

local frame, icon, bar, bartext
frame = CreateFrame("Frame", name, pframe)
frame:SetWidth(20)
frame:SetHeight(20)
frame:SetPoint(point, rframe, rpoint, xoff, yoff)
icon = frame:CreateTexture(name.."Icon")
icon:SetAllPoints()
bar = CreateFrame("StatusBar", name.."Bar", frame)
bar:SetWidth(90)
bar:SetHeight(10)
bar:SetPoint("BOTTOMLEFT", frame, "BOTTOMRIGHT")
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0, 0.7, 1)
bartext = bar:CreateFontString(name.."BarText", "OVERLAY", "GameFontNormal")
bartext:SetPoint("CENTER", bar, "CENTER", 2, 0)
bartext:SetTextColor(1, 1, 1)
bartext:SetTextHeight(11)
MageCandy_SetupFrame(frame)
frame:Hide()

end

function MageCandy_CreateTimer(name, point, rframe, rpoint, xoff, yoff)
local frame, icon, text, bg, bar, bartext
frame = CreateFrame("Frame", name, UIParent)
frame:SetHeight(31.5)
frame:SetWidth(126)
frame:SetPoint(point, rframe, rpoint, xoff, yoff)
icon = frame:CreateTexture("$parentIcon")
icon:SetWidth(28)
icon:SetHeight(28)
icon:SetPoint("LEFT", frame, "LEFT", 1.5, 0)
text = frame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetWidth(frame:GetWidth() - icon:GetWidth() - 6)
text:SetHeight(7)
text:SetJustifyH("LEFT")
text:SetPoint("TOPLEFT", icon, "TOPRIGHT", 3, -3)
text:SetTextHeight(10)
bg = frame:CreateTexture("$parentBG", "BACKGROUND")
bg:SetAllPoints()
bg:SetTexture(0, 0, 0, 0.8)
bar = CreateFrame("StatusBar", "$parentBar", frame)
bar:SetWidth(bg:GetWidth() - icon:GetWidth() - 2)
bar:SetHeight(10)
bar:SetPoint("BOTTOMLEFT", icon, "BOTTOMRIGHT", 0, 1)
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0, 0.7, 1)
bartext = bar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
bartext:SetPoint("CENTER", bar, "CENTER")
bartext:SetTextColor(1, 1, 1)
bartext:SetTextHeight(11)
MageCandy_SetupFrame(frame)
frame:Hide()

end


-- Just Saves Me Some Typing =) --
function MageCandy_SetupFrame(frame) -- My baby. it creates drag frames under the main frame so that when you change the scale, the frame doesnt move around the screen.
dragframe = CreateFrame("Frame", frame:GetName().."Drag", UIParent)
local relativepoint, _, relativeto, xoff, yoff = frame:GetPoint()
dragframe:SetWidth(frame:GetWidth())
dragframe:SetHeight(frame:GetHeight())
dragframe:SetPoint(relativepoint, UIParent, relativeto, xoff, yoff)
dragframe:SetFrameStrata("MEDIUM")
dragframe:SetToplevel()
frame:ClearAllPoints()
frame:SetParent(dragframe)
frame:SetPoint("CENTER")
frame:SetScript("OnDragStart", function(self)
self:GetParent():StartMoving()
end)
frame:SetScript("OnDragStop", function(self)
local point, relativeto, relativepoint, xoff, yoff = _G[self:GetName().."Drag"]:GetPoint()
MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName().."Drag"] = {point, relativeto, relativepoint, xoff, yoff}
self:GetParent():StopMovingOrSizing()
end)
frame:RegisterForDrag("LeftButton")
frame:EnableMouse(true)
dragframe:SetMovable(true)
end

function MageCandy_LockFrames()
MCStatsDrag:StopMovingOrSizing()
MCStats:EnableMouse(false)
MCManaBarDrag:StopMovingOrSizing()
MCManaBar:EnableMouse(false)
MCCauterizeNotificationDrag:StopMovingOrSizing()
MCCauterizeNotification:EnableMouse(false)
MCLazyMageDrag:StopMovingOrSizing()
MCLazyMage:EnableMouse(false)
MCFocusSpellStealFrameDrag:StopMovingOrSizing()
MCFocusSpellStealFrame:EnableMouse(false)
MCTargetSpellStealFrameDrag:StopMovingOrSizing()
MCTargetSpellStealFrame:EnableMouse(false)
MCStolenSpellsFrameDrag:StopMovingOrSizing()
MCStolenSpellsFrame:EnableMouse(false)
MCPolymorphMonitorDrag:StopMovingOrSizing()
MCPolymorphMonitor:EnableMouse(false)
MCFingersOfFrostTimerDrag:StopMovingOrSizing()
MCFingersOfFrostTimer:EnableMouse(false)
MCBrainFreezeTimerDrag:StopMovingOrSizing()
MCBrainFreezeTimer:EnableMouse(false)
MCFrozenOrbTimerDrag:StopMovingOrSizing()
MCFrozenOrbTimer:EnableMouse(false)
MCRingOfFrostTimerDrag:StopMovingOrSizing()
MCRingOfFrostTimer:EnableMouse(false)
MCArcaneChargeTimerDrag:StopMovingOrSizing()
MCArcaneChargeTimer:EnableMouse(false)
MCArcaneMissilesTimerDrag:StopMovingOrSizing()
MCArcaneMissilesTimer:EnableMouse(false)
MCPyroblastTimerDrag:StopMovingOrSizing()
MCPyroblastTimer:EnableMouse(false)
MCArcanePowerTimerDrag:StopMovingOrSizing()
MCArcanePowerTimer:EnableMouse(false)
MCIcyVeinsTimerDrag:StopMovingOrSizing()
MCIcyVeinsTimer:EnableMouse(false)
MCMirrorImageTimerDrag:StopMovingOrSizing()
MCMirrorImageTimer:EnableMouse(false)
MCCombustionTrackerDrag:StopMovingOrSizing()
MCCombustionTracker:EnableMouse(false)
MCMirrorImageTrackerDrag:StopMovingOrSizing()
MCMirrorImageTracker:EnableMouse(false)
MCBombTrackerDrag:StopMovingOrSizing()
MCBombTracker:EnableMouse(false)
MCIncantersAbsorptionTimerDrag:StopMovingOrSizing()
MCIncantersAbsorptionTimer:EnableMouse(false)
MCInvokersEnergyTimerDrag:StopMovingOrSizing()
MCInvokersEnergyTimer:EnableMouse(false)
end

function MageCandy_UnlockFrames(bypass)
local value

if bypass then
value = true
elseif MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == 0 then
value = true
elseif MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == 1 then
value = false
end
MCCombustionTracker:EnableMouse(value)
MCMirrorImageTracker:EnableMouse(value)
MCBombTracker:EnableMouse(value)
MCInvokersEnergyTimer:EnableMouse(value)
MCIncantersAbsorptionTimer:EnableMouse(value)
MCStats:EnableMouse(value)
MCManaBar:EnableMouse(value)
MCLazyMage:EnableMouse(value)
MCCauterizeNotification:EnableMouse(value)
MCFocusSpellStealFrame:EnableMouse(value)
MCTargetSpellStealFrame:EnableMouse(value)
MCStolenSpellsFrame:EnableMouse(value)
MCPolymorphMonitor:EnableMouse(value)
MCFingersOfFrostTimer:EnableMouse(value)
MCBrainFreezeTimer:EnableMouse(value)
MCFrozenOrbTimer:EnableMouse(value)
MCRingOfFrostTimer:EnableMouse(value)
MCArcaneChargeTimer:EnableMouse(value)
MCArcaneMissilesTimer:EnableMouse(value)
MCPyroblastTimer:EnableMouse(value)
MCArcanePowerTimer:EnableMouse(value)
MCIcyVeinsTimer:EnableMouse(value)
MCMirrorImageTimer:EnableMouse(value)
end

function MageCandy_HideFrames()
MCStolenSpellsFrame:Hide()
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
MCManaBar:Hide()
MCStats:Hide()
MCCombustionTracker:Hide()
end

function MageCandy_Show(frame, value)
if value == 1 then
frame:Show()
else
frame:Hide()
end
end

function MageCandy_ShowFrames()
MCtimerbypass = 30
MCpolydelay, MCpolyduration, MCnewpolyguid, MCpolyguid, MCpolyname, MCpolyapplied, MCpolybroken = 0, 0, nil, nil, nil, false, false
MCpolyculprit, MCpolyspell, MCpolyculpritspell, MCpolyremove, MCpolybrokenevent = nil, nil, nil, false, nil
MCTargetSpellStealFrame:Show()
MCFocusSpellStealFrame:Show()
MCStolenSpellsFrame:Show()
MCPolymorphMonitor:Show()
MCPolymorphMonitorBar:SetMinMaxValues(0, 30)
MCPolymorphMonitorText:SetText(MageCandyLocal["POLYMORPH_TIMER"])
MageCandy_UnlockFrames(true)
MageCandy_NewTime("MCIncantersAbsorptionTimer", 30, true)
MCIncantersAbsorptionTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCInvokersEnergyTimer", 30, true)
MCInvokersEnergyTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCArcaneMissilesTimer", 30, true)
MCArcaneMissilesTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCArcaneChargeTimer", 30, true)
MCArcaneChargeTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCArcanePowerTimer", 30, true)
MCArcanePowerTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCFingersOfFrostTimer", 30, true)
MCFingersOfFrostTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCBrainFreezeTimer", 30, true)
MCBrainFreezeTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCIcyVeinsTimer", 30, true)
MCIcyVeinsTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCRingOfFrostTimer", 30, true)
MCRingOfFrostTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCFrozenOrbTimer", 30, true)
MCFrozenOrbTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCPyroblastTimer", 30, true)
MCPyroblastTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCMirrorImageTimer", 30, true)
MCMirrorImageTimerBar:SetMinMaxValues(0, 30)
MCCauterizeNotification:Show()
MCStats:Show()
MCCombustionTracker:Show()
MCMirrorImageTracker:Show()
MCBombTracker:Show()
MCManaBar:Show()
MCManaBarExtras:Show()
MCHealthBar:Show()
MCcauterizetest = 30
MCLazyMage:Show()
end

function MageCandy_RepositionBuffs()
local frame
---------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCTargetSpellStealFrameBuff"..idx] then
frame = _G["MCTargetSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
------------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCFocusSpellStealFrameBuff"..idx] then
frame = _G["MCFocusSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
-------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCStolenSpellsFrameBuff"..idx] then
frame = _G["MCStolenSpellsFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCStolenSpellsFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCStolenSpellsFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end

end

function MageCandy_ReloadUI()
MCReloadUI:Show()
end



function MageCandy_UpdateUI(regen)

if MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == 1 then
MageCandy_LockFrames()
else
MageCandy_UnlockFrames()
end


-- hide manually because events wont fire for these frames if they are hidden, which makes less work for the computer.

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor == 0 then
MCPolymorphMonitor:Hide()
end

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablespellstealmonitor == 0 then
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
MCStolenSpellsFrame:Hide()
else
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mctargetspellstealframe == 0 then
MCTargetSpellStealFrame:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfocusspellstealframe == 0 then
MCFocusSpellStealFrame:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstolenspellsframe == 0 then
MCStolenSpellsFrame:Hide()
end
end

--Mana Bar--
if MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell ~= nil then MCManaBarExtras:Show() else MCManaBarExtras:Hide() end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablehealthbar == 1 then
MageCandy_HealthBarUpdate()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablemanabar == 1 then
MageCandy_ManaBarUpdate()
end

MageCandy_SetManaBarPoints()
MageCandy_Show(MCCombustionTracker, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccombustiontracker)
MageCandy_Show(MCStats, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats)
MageCandy_Show(MCManaBar , MageCandy_Profiles[MageCandy_ActiveProfile].options.enablemanabar)
MageCandy_Show(MCHealthBar , MageCandy_Profiles[MageCandy_ActiveProfile].options.enablehealthbar)
MageCandy_Show(MCManaBarReserve , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarreserve)
MageCandy_Show(MCManaBarMarker1 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker1)
MageCandy_Show(MCManaBarMarker2 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker2)
MageCandy_Show(MCManaBarMarker3 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker3)
MageCandy_Show(MCFocusSpellStealFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCTargetSpellStealFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCStolenSpellsFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCFocusSpellStealFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
MageCandy_Show(MCTargetSpellStealFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
MageCandy_Show(MCStolenSpellsFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
if MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell == "" then
MCManaBarExtras:Hide()
else
MCManaBarExtras:Show()
end

if regen == true then
MageCandy_HideFrames()
else
return
end

end

function MageCandy_PlaceFrames()
MageCandy_SetPoint(MCPyroblastTimerDrag)
MageCandy_SetPoint(MCIcyVeinsTimerDrag)
MageCandy_SetPoint(MCArcaneMissilesTimerDrag)
MageCandy_SetPoint(MCFingersOfFrostTimerDrag)
MageCandy_SetPoint(MCBrainFreezeTimerDrag)
MageCandy_SetPoint(MCArcanePowerTimerDrag)
MageCandy_SetPoint(MCFrozenOrbTimerDrag)
MageCandy_SetPoint(MCMirrorImageTimerDrag)
MageCandy_SetPoint(MCRingOfFrostTimerDrag)
MageCandy_SetPoint(MCArcaneChargeTimerDrag)
MageCandy_SetPoint(MCManaBarDrag)
MageCandy_SetPoint(MCTargetSpellStealFrameDrag)
MageCandy_SetPoint(MCFocusSpellStealFrameDrag)
MageCandy_SetPoint(MCStolenSpellsFrameDrag)
MageCandy_SetPoint(MCPolymorphMonitorDrag)
MageCandy_SetPoint(MCCauterizeNotificationDrag)
MageCandy_SetPoint(MCLazyMageDrag)
MageCandy_SetPoint(MCStatsDrag)
MageCandy_SetPoint(MCBombTrackerDrag)
MageCandy_SetPoint(MCCombustionTrackerDrag)
MageCandy_SetPoint(MCMirrorImageTrackerDrag)
MageCandy_SetPoint(MCIncantersAbsorptionTimerDrag)
MageCandy_SetPoint(MCInvokersEnergyTimerDrag)
end

function MageCandy_SetPoint(self)
self:ClearAllPoints()
self:SetPoint(MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][1], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][2], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][3], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][4], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][5])
end

function MageCandy_BigNumbers(num)
if num == 1 then
return 0, 0.25, 0, 0.33
elseif num == 2 then
return 0.25, 0.50, 0, 0.33
elseif num == 3 then
return 0.50, 0.75, 0, 0.33
elseif num == 4 then
return 0.75, 1, 0, 0.33
elseif num == 5 then
return 0, 0.25, 0.33, 0.66
elseif num == 6 then
return 0.25, 0.50, 0.33, 0.66
elseif num == 7 then
return 0.50, 0.75, 0.33, 0.66
elseif num == 8 then
return 0.75, 1, 0.33, 0.66
elseif num == 9 then
return 0, 0.25, 0.66, 1
end
return
end


end
